Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004440OCamlOCaml generalpublic2007-11-05 16:152007-12-04 14:37
Reporterdbuenzli 
Assigned Todoligez 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.10.0 
Target VersionFixed in Version3.11+dev 
Summary0004440: Report errors before warnings.
DescriptionIt would be nice if the compiler could report errors before warnings.

During debuging sessions I sometimes have warnings -- e.g. unused variables because portions of the code were commented out. But when the code refuses to compile these warnings are usually printed before the error. In the emacs mode, using C-x ' (goto next error), this means going through all the warnings before getting to the error. This is annoying.

Thanks,

Daniel
TagsNo tags attached.
Attached Filestxt file icon skip-warnings-patch.txt [^] (2,562 bytes) 2007-12-04 14:35 [Show Content]

- Relationships

-  Notes
(0004383)
doligez (administrator)
2007-12-04 14:37

I have added (in the 3.11 branch) an emacs-lisp function:
caml-next-error-skip-warnings to jump to the next error
while ignoring warnings.

You just need to bind this function to a key of your choice.

If you need the functionality before 3.11.0 is out, you can
use the attached patch.

- Issue History
Date Modified Username Field Change
2007-11-05 16:15 dbuenzli New Issue
2007-11-10 14:04 xleroy Status new => assigned
2007-11-10 14:04 xleroy Assigned To => doligez
2007-12-04 14:35 doligez File Added: skip-warnings-patch.txt
2007-12-04 14:37 doligez Note Added: 0004383
2007-12-04 14:37 doligez Status assigned => closed
2007-12-04 14:37 doligez Resolution open => fixed
2007-12-04 14:37 doligez Fixed in Version => 3.11+dev


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker